Subject: problem with JPL 1.0.1 and SWI Prolog 3.3.0

From: Ovidiu Predescu <[email-masked]>
Date: Thu, 20 Jan 2000 18:53:44 -0800

Hi,

I'm trying to get JPL running on my Linux box. I have JDK 1.2.2, JPL 1.0.1 and
SWI Prolog 3.3.0 (the January 17th 2000 version).

When I run the Test.java program in the test directory, I get this error
message:

[PROLOG INTERNAL ERROR:
        Undefined predicate: system:print_message/2

PROLOG STACK:
    [42405] system: (module_transparent _L508925)
    [42404] system: (module_transparent _G127252, _G127253)
    [42403] system: (module_transparent _G127249, _G127250)
    [42402] system: (module_transparent _G127246, _G127247)
    [42401] system: (module_transparent _G127243, _G127244)
    [42400] system: (module_transparent _G127240, _G127241)
    [42399] system: (module_transparent _G127237, _G127238)
    [42398] system: (module_transparent _G127234, _G127235)
    [42397] system: (module_transparent _G127231, _G127232)
    [42396] system: (module_transparent _G127228, _G127229)
]

It looks like the definition of print_message is not available to the Prolog
system.

The CLASSPATH and LD_LIBRARY_PATH point to the correct locations. What am I
doing wrong here?

Thanks,
Ovidiu

-- 
Ovidiu Predescu <[email-masked]>
http://orion.rgv.hp.com/  (inside HP's firewall only)
http://www.geocities.com/SiliconValley/Monitor/7464/